use strict;
use warnings;
use diagnostics;
use Module::Build;
use File::Find;
use Data::Dumper;

my %doc_files = (
		'Changelog' => 'doc/Changelog',
		);
sub add_doc {
		if (-f $_) {
				$doc_files{$File::Find::name} = $File::Find::name;
		}
}
find(\&add_doc, 'doc');
#print Dumper(\%doc_files);

my $cm = Module::Build->new
    (
     module_name => 'Crypt::Monkeysphere',
     license  => 'gpl',
     requires => {
         'Config::General' => '2.49',
         'Crypt::X509' => '0.21',
         'File::HomeDir' => '0.93',
#         'GnuPG::Handles' => '0.42',  (part of GnuPG::Interface)
         'GnuPG::Interface' => '0.42',
         'HTTP::Headers' => '6.00',
         'HTTP::Request' => '6.00',
         'HTTP::Server::Simple' => '0.42',
         'JSON' => '2.27',
         'Regexp::Common' => '2010010201',
     },
		 dist_version_from => 'lib/Crypt/Monkeysphere/MSVA.pm',
		 dist_abstract => 'Monkeysphere public key validation daemon',
		 script_files => 'script/',
		 doc_files => \%doc_files,
		 install_path => { 'doc' => '/usr/share/doc/msva' },
		 recursive_test_files => 1,
    );
$cm->add_build_element('doc');
$cm->create_build_script;
